Package ru.bitel.bgbilling.kernel.admin.web.common.bean

# Class WebMenuItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.admin.web.common.bean.WebMenuItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class WebMenuItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WebMenuItem.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebMenuItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WebMenuItem.Builder`
  `builder()`
  `int`
  `getCount()`
  `boolean`
  `isDefault()`
  `boolean`
  `isSelected()`
  `void`
  `setCount(int count)`
  `void`
  `setDefault(boolean value)`
  `void`
  `setSelected(boolean selected)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### WebMenuItem

    public WebMenuItem()

- ## Method Details

  - ### isDefault

    public boolean isDefault()

  - ### setDefault

    public void setDefault(boolean value)

  - ### isSelected

    public boolean isSelected()

  - ### setSelected

    public void setSelected(boolean selected)

  - ### getCount

    public int getCount()

  - ### setCount

    public void setCount(int count)

  - ### builder

    public static WebMenuItem.Builder builder()